"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildTreeFromRemoteGedcomFile = void 0;
const decode_gedcom_1 = require("./decode-gedcom");
const axios_1 = __importDefault(require("axios"));
async function buildTreeFromRemoteGedcomFile(tree, filename) {
    try {
        const response = await (0, axios_1.default)(filename, { method: 'GET', });
        if (!response.status) {
            throw new Error(`Error! status: ${response.status}`);
        }
        const gedcomData = await response.data;
        (0, decode_gedcom_1.decodeGedcom)(tree, gedcomData);
        // console.log('success ');
        return true;
    }
    catch (error) {
        if (error instanceof Error) {
            console.log('error message: ', error.message);
            return false;
        }
        else {
            console.log('unexpected error: ', error);
            return false;
        }
    }
    console.log("failed decoding gedcom");
    return Promise.resolve(true);
}
exports.buildTreeFromRemoteGedcomFile = buildTreeFromRemoteGedcomFile;
